# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::CRC32CheckSum Class Reference

Computes the a CRC32 checksum of a given buffer or VirtualFile. More...

`#include <CRC32CheckSum.hpp>`

List of all members.

## Public Member Functions
| CRC32CheckSum ()
| Constructor.
unsigned int | compute (const void *buf, int length)
unsigned int | compute (VirtualFile *stream)
void | startCRC32 ()
unsigned int | finalizeCRC32 ()
void | continueCRC32 (unsigned char *ptr, int length)
## Protected Member Functions
void | crc32_init ()
unsigned int | reflect (unsigned int val, char ch)
## Protected Attributes
unsigned int | mCRC32
unsigned int | crc32_table [256]

## Detailed Description

Computes the a CRC32 checksum of a given buffer or VirtualFile.

## Constructor & Destructor Documentation

vl::CRC32CheckSum::CRC32CheckSum | ( |  | ) | `[inline]`

Constructor.

## Member Function Documentation

unsigned int vl::CRC32CheckSum::compute | ( | const void * | buf,
|  | int | length |
| ) |  |  | `[inline]`

unsigned int vl::CRC32CheckSum::compute | ( | VirtualFile * | stream | ) | `[inline]`

void vl::CRC32CheckSum::startCRC32 | ( |  | ) | `[inline]`

unsigned int vl::CRC32CheckSum::finalizeCRC32 | ( |  | ) | `[inline]`

void vl::CRC32CheckSum::continueCRC32 | ( | unsigned char * | ptr,
|  | int | length |
| ) |  |  | `[inline]`

void vl::CRC32CheckSum::crc32_init | ( |  | ) | `[inline, protected]`

unsigned int vl::CRC32CheckSum::reflect | ( | unsigned int | val,
|  | char | ch |
| ) |  |  | `[inline, protected]`

## Member Data Documentation

unsigned int vl::CRC32CheckSum::mCRC32`[protected]`

unsigned int vl::CRC32CheckSum::crc32_table[256]`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/CRC32CheckSum.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:56 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.